Subject: B20.1: arrow key repeating problem with bash
From: [email-masked] (Will Mooar)

25 Dec 1998 20:45:29 -0800
Message-ID: <003501be307a$55e580c0$f3884fd1.cygnus.gnu-win32@monster>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

If I tap the arrow keys, they work as expected, but when I hold down the
arrow keys, it inserts "D"s and "["s into the line when I hold the left
arrow key, and "C"s and "["s when I hold the right arrow key.

This problem occurs with CYGWIN=tty|notty, also with TERM=ansi|vt100|cygwin.

I am using B20.1 on Win98.  My environment is:

!C:=C:\CYGNUS\CYGWIN~1
!D:=D:\Misc Arc\X
BASHRC_RUN=1
BLASTER=A220 I5 D1 H5 P330 T6
CMDLINE=bash
COMSPEC=C:\COMMAND.COM
CTSYN=C:\WINDOWS
CYGWIN32=binmode notty glob title strip_title
CYGWIN=notty binmode notitle nostrip_title glob envcache
nostrace=1,/home/strace

HOME=/home
HOSTNAME=monster
HOSTTYPE=i586
MACHTYPE=i586-pc-cygwin32
MAKE_MODE=UNIX
MIDI=SYNTH:1 MAP:E MODE:0
OSTYPE=cygwin32
PATH=/CYGNUS/CYGWIN~1/H-I586~1/BIN:/WINDOWS:/WINDOWS/COMMAND://D/MISC:/bin:/
usr/
local/bin
PROMPT=$p$g
PS1=$PWD>
PWD=/cygnus/cygwin-b20
SHELL=/bin/sh
SHLVL=1
SOUND=C:\PROGRA~1\CREATIVE\CTSND
SST_FT_CLK_DEL=0x4
SST_GRXCLK=90
SST_TF0_CLK_DEL=0x6
SST_TF1_CLK_DEL=0x6
SST_TMUMEM_SIZE=2
SST_VIN_CLKDEL=0x1
SST_VOUT_CLKDEL=0x0
TEMP=C:\WINDOWS\TEMP
TERM=cygwin
TMP=C:\WINDOWS\TEMP
WINBOOTDIR=C:\WINDOWS
WINDIR=C:\WINDOWS
_=/CYGNUS/CYGWIN~1/H-I586~1/BIN/env

Any ideas?

Kind regards - Will.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".